#include <stdio.h>

int main()
{
 int broj, j, d, s, min, max, sred, nbroj;

 scanf("%d", &broj);

 if (broj<100 || broj>999)
  printf("-1\n");
  return -1;

 s= broj/100%10;
 d= broj/10%10;
 j= broj%10;

  if (d>j)
  {
   if (s>d)
   {
    max=s;
    sred=d;
    min=j;
   }
   else
   {
    if (j>s)
    {
     max= d;
     sred= j;
     min=s;
    }
    else 
    {
     max=d;
     sred=s;
     min=j;
    }
   }
  }
  else
  {
   if (s>j)
   {
    max=s;
    sred=j;
    min=d;
   }
   else
   {
    if (d>s)
    {
     max= j;
     sred= d;
     min=s;
    }
    else 
    {
     max=j;
     sred=s;
     min=d;
    }
   }
  }


  
 nbroj= min*100+sred*10+max;

 printf("%d\n", nbroj);	 
	 
	 
return 0;
}
